%define	name	cdrtools
%define	version	2.00.3
%define	release	1
%define	serial	8
%define	prefix	/usr

%define	major	2.00.3

Summary:	A set command line tools for CD/DVD-Recorders
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Archiving
Vendor:		Joerg Schilling <schilling@fokus.gmd.de>
URL:		http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A set command line tools for CD/DVD-Recorders including cdrecord,
mkisofs, readcd, isoinfo and others.

%package	cdrecord
Summary:	A command line CD/DVD-Recorder
Group:		Applications/Archiving
Obsoletes:	cdrecord
Provides:	cdrecord

%description	cdrecord
Cdrecord allows you to create CD's on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%package	devel
Summary:	Libraries and Headers needed for development.
Group:		Development/Libraries
Obsoletes:	cdrecord-devel, cdrtools-libscg, cdrtools-utils

%description	devel
Libraries and Headers for development.

%package	cdda2wav
Summary:	Get WAV files from digital audio cd's
Group:		Applications/Sound
Obsoletes:	cdda2wav, cdrecord-cdda2wav
Provides:	cdda2wav

%description	cdda2wav
A sampling utility for cdrom drives that are capable of sending audio
cd data in digital form to your host. Data can be dumped into wav or
sun format sound files. Options control the recording format (stereo/mono;
8,12,16 bits; different rates).

%package	mkisofs
Summary:	Creates a ISO9660 filesystem image
Group:		Applications/System
Obsoletes:	mkisofs, mkhybrid, cdrecord-mkhybrid, cdrecord-mkisofs
Provides:	mkisofs

%description	mkisofs
This is the mkisofs package.  It is used to create ISO 9660
file system images for creating CD-ROMs. Now includes support
for making bootable "El Torito" CD-ROMs.

%prep
%setup -q -n %{name}-%{major}

%build
gmake

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
gmake "INS_BASE=${RPM_BUILD_ROOT}%{prefix}" install

# Installing Header files for use with devel package
rm include/scg
install -d ${RPM_BUILD_ROOT}%{prefix}/include/schily/scg
install -m 644 include/* ${RPM_BUILD_ROOT}%{prefix}/include/schily
install -m 644 incs/*/xconfig.h ${RPM_BUILD_ROOT}%{prefix}/include/schily
install -m 644 libscg/scg/* ${RPM_BUILD_ROOT}%{prefix}/include/schily/scg

# Installing default config.
mkdir -p ${RPM_BUILD_ROOT}/etc/default
install -m 644 cdrecord/cdrecord.dfl ${RPM_BUILD_ROOT}/etc/default/cdrecord
install -m 644 rscsi/rscsi.dfl ${RPM_BUILD_ROOT}/etc/default/rscsi

## Preparing doc files for RPM
# cdrecord
{
  pushd doc
  groff -Tps -man cdrecord.man > cdrecord.ps
  popd
}

# cdrecord
mkdir cdrecord-rpmdocs
cp AN-%{version} doc/cdrecord.ps Changelog README* \
   cdrecord/cdrecord.dfl cdrecord-rpmdocs
chmod 644 cdrecord-rpmdocs/*

# cdda2wav
mkdir cdda2wav-rpmdocs
cp AN-%{version} cdda2wav/Frontends cdda2wav/GPL cdda2wav/HOWTOUSE \
   cdda2wav/OtherProgs cdda2wav/README cdda2wav/THANKS cdda2wav/TODO \
   cdda2wav/cdda2mp3 cdda2wav/cdda2mp3.new cdda2wav/cdda_links \
   cdda2wav/pitchplay cdda2wav/readmult cdda2wav/tracknames.pl \
   cdda2wav/tracknames.txt cdda2wav/FAQ cdda2wav/cdda2ogg \
   cdda2wav-rpmdocs
chmod 644 cdda2wav-rpmdocs/*

# mkisofs
mkdir mkisofs-rpmdocs
cp AN-%{version} mkisofs/COPYING mkisofs/ChangeLog mkisofs/README* \
   mkisofs-rpmdocs
chmod 644 mkisofs-rpmdocs/*

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files	cdrecord
%defattr(-,root,root)
%doc cdrecord-rpmdocs/*
%config(noreplace) /etc/default/cdrecord
%config(noreplace) /etc/default/rscsi
%{prefix}/bin/cdrecord
%{prefix}/bin/readcd
%{prefix}/bin/devdump
%{prefix}/bin/isoinfo
%{prefix}/bin/isodump
%{prefix}/bin/isovfy
%{prefix}/man/man1/cdrecord.1*
%{prefix}/man/man8/isoinfo.8*
%{prefix}/sbin/rscsi

%files	devel
%defattr(-,root,root)
%{prefix}/bin/scgcheck
%{prefix}/lib/*.a
%{prefix}/man/man1/scgcheck.1*
%{prefix}/include/*.h
%{prefix}/include/schily

%files	cdda2wav
%defattr(-,root,root)
%doc cdda2wav-rpmdocs/*
%{prefix}/bin/cdda2wav
%{prefix}/man/man1/cdda2wav.1*

%files	mkisofs
%defattr(-,root,root)
%doc mkisofs-rpmdocs/*
%{prefix}/bin/mkisofs
%{prefix}/bin/mkhybrid
%{prefix}/man/man8/mkisofs.8*
%{prefix}/man/man8/mkhybrid.8*

%changelog
* Thu Jan 01 2003 Thomas Niederreiter <tn@xcdroast.org>
- Apologies to Ryan Weaver of Falsehope - Updated to 2.0

* Mon Dec 23 2002 Thomas Niederreiter <tn@xcdroast.org>
- Apologies to Ryan Weaver of Falsehope - Updated to 2.0pre3 

* Mon Nov 25 2002 Thomas Niederreiter <tn@xcdroast.org>
- Apologies to Ryan Weaver of Falsehope - Updated to 1.11a40

* Mon Oct 14 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a37-1]
- All:
- Allow to create Make Dependencies with HP-UX bundled C-compiler
- Allow to create Make Dependencies with AIX C-compiler
  Warning: this creates foo.u files in the directory where the
  Makefile is located
- Fixed the shell script that is used to create the dependency files
  with the SCO C-compiler 
- Fixed an sed script that is used to enhance the dependency files.
  This script was only able to handle 'foo.o:' but not 'foo.o :'
- Several other small fixes with the autoconf system.
- Make strerror() caller in libschily POSIX compliant and follow
  the strange semantics.

- Libparanoia:
- Fixed a problem with alloca() that prevented compilation on AIX

- Libedc:
- Changed to allow compilation on K&R compilers too
- Speed up by approx. 60-70%
  Encoding speed is now:
  - 20-30x on a P-233
  - 100-140x on a Athlon 1000
  Note that the encoding speed is content dependant.
  Also note that due to a kernel design bug, Linux does not
  enable DMA for ATAPI drives if the sector size is != 2048 (as
  with RAW sector size 2448). This results in a high system load
  and may cause a buffer underrun even before the estimated maximum
  speed of the edc library has been reached.

- Libscg:
- Support for recently defined new SCSI target types found in SCSI
  standard.

- Cdrecord:
- Fixed man page to correctly call SAO mode SAO and not DAO.
- Move libedc speed printing into sector.c and let it print
  more fine grained results.
- Encoding speed is contend dependant. Initalize test buffer
  before doing a libedc speed test to make the result independant
  from grabage on the stack.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Implement a temporary compatibility bug for the -v option.

- Readcd:
- added new option -overhead to meter SCSI command execution overhead.

* Mon Oct 07 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a36-1]
- All:
- config.sub now knows about IA64 architecture

- Libscg:
- Fix a bug with ATAPI in scsi-vms.c - now the SCSI status byte is OK
  Thanks To Eberhard Heuser
- Allow up to 26 IDE controlers in scsi-vms.c - Thanks to Chip Dancy
- Do not open all /dev/scg* devices on Solaris if not in Scanbus mode
- Handle ENXIO in Solaris USCSI interface code as indicator for a 
  switched off device.
- Max DMA size for Linux ATAPI Packet interface code corrected.
  Max DMA is 128k-1 and not 128k.

- Cdrecord:
- Fixed a bug in fifo.c introduced with the driver interface change.
  Now cdrecord compiles again on VMS (without FIFO).
  Thanks to Eberhard Heuser.
- Allow cdrecord to compile without libedc
  Thanks to Eberhard Heuser.
- Run read buffer capacity in silent mode.
  This is needed because drives with buggy firmware like the CW-7585
  did cause hundreds of "command sequence erorrs" to be emmited when 
  trying to read the current drive buffer fill ratio.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Temporary added -v<number> for compatibility with old GUI programs.
  Note: -v<number> is outdated and will be removed soon.

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- A patch from James that make mkisofs able to create a HFS volume > 4 GB.
- A new option -hfs-parms for better HFS support for HFS volumes > 4 GB
  from James Pearson

* Mon Sep 30 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a35-1]
- Cdrecord:
- Added a note to Heiko Eifeldt's libedc when printing RAW encoding speed
- Limit gracetime to 999 seconds and make output correct even for
  times > 9 seconds.
- Corrected a bug in the MMC driver that caused cdrecord to use the 
  wrong place for current speed when doing MMC/MMC-3 dependant stuff
- cdrecord -prcap will now use the same format for MMC & MMC-3 drives
  rsulting in a better readability.
- Don't print write time statistics if writing did not yet start
- Try to handle drives that don't support to write at speed 1 but
  will fail if you try to call cdrecord speed=1 ...
- New option -immed tells cdrecord to set the SCSI "IMMED" flag in certain
  commands.
- -force will not completely removeany speed restrictions for writing in RAW
  mode. Instead, only the speed that a single CPU allows will be permitted
  by cdrecord. This still has a high potential for a buffer underrun.
  By default cdrecord still is limited to half the encoding speed that
  a single CPU allows. Even this may result in a buffer underrun on Linux
  as Linux does not use DMA for IDE when the sector size is != 2048 bytes
  which is true in RAW write mode.
- If the environment variable "CDR_FORCERAWSPEED" is set, this will have
  the same results for RAW speed as using -force. However, -force has more
  general effects and should be avoided.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- changed option 'speed-select' to 'speed' for better interoperability

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- A patch from James that make mkisofs able to create a HFS volume < 4 GB.
- Support for MS code page 1250 (Slavic/Central Europe) added.
  Thanks to Petr Balas petr@balas.cz

* Mon Sep 23 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a34-1]
- Libscg:
- Introduce a workaround for a coneptional Bug in the Linux kernel SCSI
  implementation. Linux is unable to distinct between a target selection timeut
  (e.g. switched off target) and a command timeout (e.g. command needs more
  time than expected). If the detected command time is < 1 second, libscg will
  now assume a dead target.

- Cdrecord:
- Allow cdrecord -fix to work again.
- make sure that using both -copy and -useinfo will not result in unclear state
  Instead the content of the *.inf files will be used
- Better man page
- Simulation driver (cdr_simul / dvd_simul) now uses correct speed ratio
  for DVDs
- Simulation driver now supports fake "Next writable address" function.
- On Linux usleep() is very unacurate, meter the real sleep time
  and cumulate a correction value. This allows the simulation driver
  to simulate the correct write speed.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- bugfix for CD Extra, when copyright messages were present
- patch from Kyle to make CD extra handling more robust
- bugfix for wrong warning message 'no generation of info files'
  due to incomplete length
- new verbose suboptions. Strings will finally replace the
  tedious binary masks. For script compatibility the special
  form of -v255 will be recognized for some releases.
  -vhelp will show the new strings.
- reworked the toc display code to make it more orthogonal.

- Readcd:
- New option speed= to allow reading at slower speed and avoid read error
  caused by vibrations of the media.

* Tue Sep 17 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a33-1]
- Cdrecord:
- Rearrange the order of the new statistics printing
- Allow several of the new statistics to be printed even if cdrecord
  aborts due to an error.
- Let the old Philips drive use the common CD media 'reload' function.
- Try to find out if a drive is MMC, MMC-2 or MMC-3 compliant.
  - see cdrecord -checkdrive
- Suppress printing oof the average write speed if the size of the
  tracks is not known prior to start CD writing
- ATIP printing (cdrecord -atip) enhanced to support Ultra high speed
  CD-RW media.
- Check whether somebody likes to write a Ultra high speed CD-RW on
  an improper writer
- Allow to bypass the CPU speed check for writing Data CDs in RAW mode 
  if -force ha ben specified
- Print MMC conformance level of the drive based on content of
  SCSI mode page 2A.
- Print more information for MMC-2 & MMC-3 drives with cdrecord -prcap
- The new true CAV Plexwriter 482448 is now supported.
  Please note that it is not easy to write at 48x. You definitely need 
  a correct DMA setup to optimal values.
  Also note switching on Burn-Proof will reduce the max speed to 40x
  so it may be that you don't need Burn-Proof if you simply reduce speed
  to 40x manually

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Fixed a bug in the paranoia calling code that caused
  cdda2wav to try to access one sector too far on the media
  if in paranoia mode.
- Allow again compilation on FreeBSD

* Wed Sep  4 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a32-1]
- Cdrecord:
- Limited display (once every 1 MB) of the drives internal buffer
  RAM fill ratio.
- Display the minimal drive buffer fill ratio a the end of the write
  process.
- Display number of predicted drive buffer underruns based on the
  fill ratio of the drive buffer (incremented if fill ratio is < 5%).
- Display average write speed at the end of the write process.
  In dao mode, this includes the time needed to write the lead in and
  thus is not 100 correct (value is too low).
- Display of the number of times the Buffer underrun protection
  has been active for drives where the manufacturer send me the needed
  information (Ricoh, Yamaha, Aopen). It may work for other drives too
  but there is no guarantee.
- Fixed a bug in the riveropts= parsing routine.
- New driveropts= option "forcespeed". Use with extreme care as this
  will force several drives ((Ricoh, Yamaha, Aopen, ...) to write with
  the selected high speed although the mediaum is too bad for this
  operation.
- New driveropts= option "tattooinfo". Use together with -checkrive 
  to retrieve the information about the picture size that will fit.
- New driveropts= option "tattoofile=". Use together with -checkrive 
  to write an image of the right size to disk.
  This feature has not yet been tested.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- fix several CDDB query bugs
- support CDDBP protocol 5
- customizable CDDBP server and port settings.

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Make sure UDF directory permissions include 'execute permission'.

  [cdrtools-1.11a31-1]
- Cdrecord:
- Support for Ricoh (and others) Just Link
- "Turning .... " messages for drive special functiions are
  now printed to stdout

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Correct a minor problem with K&R compilers for the programs
  in mkisofs/diag/
- Make fire PATH_MAX is defined in isoinfo.c too.

* Tue Aug 20 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a30-1]
- Cdrecord:
- Support for Yahama Audio Master Quality Recording.
  This support is switched on via driveropts=audiomaster

  I am sorry, but I had to do major changes in the MMC
  driver in order to be able to support Audio Master.
  This may have affected all other driveropts= 
  too. Please test and keep in mind that I like to have 
  the mext major release in a few weeks.

  When audiomaster has been specified, BURN-Free recording
  is disabled and - as the visible size of the medium 
  decreases - a second disk size check is done after 
  Audio Master has been turned on.
- man page enhanced according to new features
- Short Usage funtion now includes a hint on how to
  obtain the list of possible driveropts= parameters
- Include the tags 
  "VARIREC ", "AUDIOMASTER ", "FORCESPEED "
  In the "Driver flags" line that is visible with
  cdrecord -checkdrive.
- cdrecord driveropts=help now includes 
  "varirec=" and "audiomaster"
- Support for writing data sectors in RAW mode has been added
  to the GPL#ed version of cdrecord.
  Note that writing data sectors in RAW mode is a highly CPU
  intense task. For this reason, cdrecord first checks whether
  it would be possible to do the requested job reliably.
  If it is questionable whether the job could be done in the
  desired speed, cdrecord aborts with a related message.

  The max theoretical speed (not including the writing load)
  is printed in a new line starting with: "Encoding speed :".
  Cdrecord allows half of this speed.
- Allow RAW writing of data sectors to work correctly without
  the need of specifying -data
- Allow spaces as delimiters between different tags in a single
  line in the file /etc/default/cdrecord

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Fixed a minor C non-compliance in ifo_read.c
- Allow symlink targets to be up to 1024 bytes
- devdump/isodump/isovfy now use getallargs() and implement -help/-version
- If UDF but no Joliet is used, UDF filenames may be 255 chars long.
  Note that this is still hack.
- From James: New option -joliet-long to allow 103 UNICODE characters with
  Joliet. This is not Joliet compliant but several other programs
  also create long Joliet names.

* Mon Aug 12 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a29-1]
- All:
- remove #elif to avoid a GCC-3.x warning

- Cdrecord:
- Since last release , the new data structures allow to write
  ISRC/MCN in RAW mode. This now makes RAW mode fully usable for
  audio CDs. NOTE: if you find any problems with CDs written in SAO
  mode, first try to write the same CD in RAW mode if your
  drive supports to write in RAW mode. There are a lot of drives
  that have rotten firmware and create broken CDs in DAO mode.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Fixed a bug that caused cdda2wav to return wrong byteorder
  on Big endian machines if -paranoia has been specified

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Fixed a minor C non-compliance in ifo_read.c
- Allow symlink targets to be up to 1024 bytes
- devdump/isodump/isovfy now use getallargs() and implement -help/-version
- If UDF but no Joliet is used, UDF filenames may be 255 chars long.
  Note that this is still hack.
- From James: New option -joliet-long to allow 103 UNICODE characters with
  Joliet. This is not Joliet compliant but several other programs
  also create long Joliet names.

* Tue Jul 30 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a28-1]
- All:
- A 20 year old extension has been removed from format.c
  This caused printf() to interpret %X as %lX. This caused noticable
  problems on IA-64. It should have created problems on True64
  and on 64 bit Sparc programs too but was not directly visible
  due to a different stack content.

- Cdrecord:
- Again: Data structures modified to allow new features in the future.
  This release uses the new data structurec to allow to write ISRC/MCN
  in RAW mode.
- Fixed a bug that caused cdrecord to write a wrong relative time
  into the subchannel data when writing audio CDs in RAW mode.
  This affected the pregap sectors if pregap size was != 0.
- Allow cdrecord to write ISRC & MCN even in RAW mode.
- Allow Simulation driver cdr_simul and dvd_simul to simulate any write
  mode.
- Simulation driver cdr_simul and dvd_simul changed so no reload on the
  real background drive occurs.

- Readcd:
- Man page updated to contain all options

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Avoid a C-compler warning caused by mkisofs.h
- Fixed a bug in the DEBUG code from the DVD-Video enhancements

* Mon Jul 29 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a27-1]
- Cdrecord:
- Again: Data structures modified to allow new features in the future.
- Better bessages for CD-RW where the speed ofthe media does not match
  the properties of the writer.
- Avoid to reload media in -dummy RAW mode.
- Correctly abort if there was a problem when writing CD-Text in the LEAD-IN.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Remove old unused getopt() code.
- Check DMA residual count
- FreeBSD cooked ioctl() Byte swapping now finally OK?

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Support for Apple HFS on Mac OS X Thanks to James Pearson.
- Support for more then 65535 directories as only the parent entries
  need to fit into the path tables.
- Full DVD-Video support thanks to Olaf Beck - olaf_sc@yahoo.com

  [cdrtools-1.11a26-1]
- Cdrecord:
- Again: Data structures modified to allow new features in the future.
  Trying to make driver interface simpler and cleaner. This resulted
  in a major rewrite of the driver interface.
  - please test if multi session with TEAC CDR-50/CDR-55
    still works.
  As a lot has been changed in the driver interface, please test
  if bugs have been introduced!
- Fixed a bug that caused cdrecord-1.11a25 to complain when
  trying to write high speed CD-RW media at 10x or faster.
- New test that prevents to write CD-RW media too slow
- Display of current DVD write speed now correct and no more based on
  single speed CD but on single speed DVD.
- Moving SAO/RAW start code from cdrecord.c into drv_mmc.c
  allows clean DVD-R/RW driver interface code.
  Now cdrecord -dao will work correctly (as expected) even for DVDs
- speed= option no longer defaults to speed=1
  Each driver now includes a default speed and a maximum speed.
  If the maximum speed in the driver is wrong, use -force to overwrite.
  Please send feedback if my assumptions on write speed are wrong:
  - No drive using the Philips CDD-521 command set is faster
    or slower than 2x
  - No drive using the Yamaha CDR-100 driver is faster than 4x
    No drive using the Yamaha CDR-100 driver is slower than 2x
  - The Tayo Yuden CW-50 is 2x
  - The Kodak PCD-600 is 6x
- Abort when the last track # of a multi session disk would be > 99

  [cdrtools-1.11a25-1]
- All:
- Several modifications to make OS/2 work again
  (e.g. -lsocket added)
- fexec.c now uses a configurable PATH environment separator
  to allow PATH lookup on OS/2

- Cdrecord:
- Data structures modified to allow new features in the future.
- Fixed a bug that caused cdrecord to ignore escaped file type
  args if they looked like a valid option (e.g.):
  	cdrecord dev=0,0 -dao -v -- speed=8
  "speed=8" should be handled as if it was a filename but was
  skipped.
- Print write mode when starting to write.
  I hope that this helps me to understand incorrect "bug reports"
  from lazy people who do not include their cdrecord command line.
- Printing ATIP information is now caused by a separate (internal) flag
  and not ny a hack.
- Do not allow to write to ultra low speed RW media if the drive
  is not able to write at 2x or 1x. This may be circumvented
  with -force.
- Do not allow to write to high speed RW media if the drive is not
  a high speed RW drive. This may be circumvented with -force.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Fixed shell script 'cdda2mp3.new' to correctly use "#!/bin/sh"
- Fixed a bug (introduced while converting to getargs()) that caused
  cdda2wav to dump core on OS that implement read only text
  correctly like Solaris does) if compled with gcc or Sun CC COPTX=-xstrconst

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- verbose > 1 (use -v) writes debug info for output fragments.
  This uses the new strings introduced with the last version.
- isoinfo now uses getargs() and includes -version and -help
  options.
- isoinfo now is able to find out that Joliet information is
  present if the disk contains illegal Joliet UNICODE escape code.
  This seem to happen with disks written with Adaptecs programs.
- isoinfo has new option -debug that prints more information
  from the Primary volume descriptor.

* Tue Jun  4 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a24-1]
- All:
- README.hpux enhanced
- README.compile now contains hint on how to compile 64 bit binaries
- Better autoconf code for the problems with mlock() & HP-UX-10.20 
- Better autocheck code for available C-compilers on HP-UX
  Now even a fallback from GCC to CC works.
- Some changes to make compilation on 64 bit systems more correct
- Added support for GNU Hurd to the Schily Makefilesystem
- Cast pointerdiffs to int for printf() %.*s format and/or include
  workarounds for 64 bit problems in this area.
	
- Libscg:
- scsi-aix.c now uses UIntptr_t in alignement macro.
- Some 64 bit casts in the USCSI code from scsi-sun.c
  For hints on the Linux Packet code in ide-cdrom.c read README.ATAPI

- Rscsi:
- changed because GNU Hurd has no MAXHOSTNAMELEN

- Cdrecord:
- Add gracetime= to man page
- Add gracetime= to usage()
- Avoid core dump is a single .inf file is missing and -text
  option is used.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- prepare for better recording of discs with illegal TOCs
- prepare for non-english cd_text languages
- rewrite of the TOC handling code (now multisession capable
  and much more robust)
- add a fallback method (shmat()) for failed mmap()
- linux bug workaround: open() sound device does block when device is busy.
- several code cleanups, some 64-bit portability bugfixes

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Some more changes to reduce the probability of integer overflows
  in size computations.
- Fixed a bug in the code that removes sensitive information from
  the command line.
- Add text strings with descritpive text to the output_fragment structures

* Wed May 15 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a23-1]
- Cdrecord:
- Try to make cdrecord behave more polite for platforms (like Cygwin)
  that don't support large files when the DVD data to be written
  is read from stdin.
  mkisofs ... | cdrecord ... - 
  will now work for DVDs on non large file OS
- Call flush buffer in silent mode to avoid error messages with
  cdrecord -toc called on a CD-ROM drive.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Fix some bugs with option parsing introduced with the new option
  parsing using getargs()
- New option -version to make cdrtools behave similar
- New option paraopts=opts for paranoia options.
- Print Paranoia statistics result at end of every track.

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Try to fix (very old) rotten code in various files that did cause
  integer overflows for files > 2 GB - 2kB.
  Inconsistent use of (always diferent) hand crufted code using
  2048, 2047, ... instead of SECTOR_SIZE, ISO_ROUND_UP(), ...
  Note that this is not only of interest for DVDs as mkisofs could
  believe that > 2 GB of data would fit on a CD.
- New code to print file type names.

* Tue May  7 2002 Ryan Weaver <ryanw@falsehope.com>
- Renamed cdrtools-libscg to cdrtools-devel because the package
  contains much more than just libscg.a and associated headers now.
  [cdrtools-1.11a22-1]
- All:
- Autoconf code now check for alloca() and dynamic sized array support
  (needed by libparanoia).
- Added links for ia64-linux to the Make RULES to allow users of GNUmake
  to compile cdrtools on IA64. Note that "smake" includes automake
  features and will auto-create the missing links.

- Libparanoia:
- The paranoia code from cdparanoia (written by Monty xiphmont@mit.edu)
  has been converted into a portable library.

- Libscg:
- Enhanced list of SCSI Error texts from SCSI standard from 29.5.2001
- New callback function to allow execption handling to be done after
  the current SCSI command did finish.

- Cdrecord:
- Corrected printf() formats for verbose printing to hold enough
  space for media > 1 GB (DVD)
- Corrected printf() formats to make the write speed non-jumping.
- If called from a GUI, cdrecord now reads from "stderr" if
  the CD-input-data is from "stdin".
  If it turns out that stderr is not open for reading, cdrecord
  waits to receive a SIGUSR1
- Better printouts for the DISC-ids covered by the orange forum embargo.
- DVD structure structure definition enhanced to reflect
  current standard.
- new option gracetime=
- Try to abort DAO recording with a flush_buffer() if ^C is hit.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- new script cddda2ogg
- bugfix deemphasizing (thanks to Klaus Wolterec)
- bugfix rounding error (creation of info files)
- added AlbumPerformer entry in info files
- integration of Monty's libparanoia
- switch to Jrgs getargs option handling

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Allow the -sort option to work with the Eltorito Boot Catalogue
- Corrected the man page that still incorrectly stated that at least one
  pathspec on the command line is needed.
- Correct the new short usage function so there will be no more
  core dumps on intel processors.
- Allow '-' to be part of the ISO-9660 filename if -no-iso-translate
  has been specified. 
  Thanks for this hint from Georgy Salnikov (sge@nmr.nioch.nsc.ru)
  from Novosibirsk, Russia.
- Try to avoid an integer overflow with the -C option and DVDs

* Sun Apr 21 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a21-1]
- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- new script cddda2ogg

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Man page part for UTF-converting corrected
- Canonicalize graft points so commands like:
  mkisofs -graft-points /a/b/././//=some_dir
  and
  mkisofs -graft-points /a/b/../c/=some_dir
  will not cause broken ISO images anymore.
- Avoid unwanted information in debug information on disk.

* Fri Apr  5 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a20-1]
- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Only print a short Usage if mkisofs detected a usage error.
- -z option now working to create CDs in a format with Linux proprietary
  Rock Ridge extensions for transparent compression.
  This is a patch from H.P. Anvin. It makes only sense with Linux-2.4.14
  or later.
- New option -debug
- Correctly use stat()/lstat() with graft points
- Fixed a bug with escape character handling in graft point handling.
- Make the graft point a directory if the file it should point to
  is a directory.
- Correctly handle non-canonical filenames with graft points.
  .////././///test=OBJ/sparc-sunos5-cc/ will now work correctly
  and not result in a corrupted ISO-Filesystem.

* Tue Mar 26 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a19-1]
- All:
- Add hints that compiling on unknown platforms wil only work if
  "smake" is used.
- Autoconf code for Large file support now handles Linux system include
  file bugs that prevented correct behavior on 64 Bit Linux systems.

- Cdrecord:
- DVD-R code (undisclosed) now supports:
  Vendor_info    : 'MATSHITA' 
  Identifikation : 'DVD-RAM LF-D310 ' 
  Revision       : 'A116' 
- Support for SCMS from *.inf files
  Note that you need to use cdda2wav/cdrecord that have fitting versions
  because of this change. Otherwise cdrecord may add SCMS copy 
  protection.
- RAW mode now honors COPY bit and SCMS coding.
- Avoid coredump with "cdrecord textfile= non/existant ..."
- New CD-text *inf file Tag Albumperformer=
  NOTE later versions of cdrecord will ignore 
  Albumtitle= and Albumperformer= if the value is not identical
  for all tracks.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Better TOC ADDR/CRTL (red book) handling
- Better method to scan for indices.
- Support for SCMS in *.inf files
- Better SUID/SGID handling

- Readcd:
- Better behavior with extreme badly readable media.
- List number of completely unreadable sectors in addition to
  the C2 error count.

* Fri Mar 15 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a18-1]
- Libscg:
- Make the packet code compile on Linux  > 2.2.12 && < 2.4.3

- Readcd:
- Now use /etc/default/cdrecord as documented in the man page.

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Fixed a minor bug with HFS labels & multi-session
  Thanks to James Pearson

* Mon Mar 11 2002 Ryan Weaver <ryanw@falsehope.com>
- Removed patch to change location of config files.
  Default config location /etc/default.
  ALL OLD CONFIG FILES -WILL NOT- UPGRADED.
  NO PATCHING OF CONFIG FILES WILL TAKE PLACE.
  PLEASE EDIT ANY UNWORKABLE DEFAULTS AFTER INSTALLATION.

  [cdrtools-1.11a17-1]
- All:
- This release contains a clean up and many new important features...
- VMS script build_all.com now includes astoll.c so compilation
  on VMS should work again.
- Many README's cleaned up.
- New macros for max/min values of int*_t in utypes.h
- Limit the different handling of packed bitfields for AIX to AIX CC.
- Unfortunately fragementation of cdrecord has begun.
  I noticed this fact recently when people started to ask me
  senseless things which turned out to be a result of
  a modified cdrtools source that I have not ben aware of.

  One main goal of cdrtools is to provide a platform indepenant
  user interface which cannot be achieved if people change important
  parts os the user interface. 
  For this reason, I changed the license in hope that this will
  help at least to keep the user interface the same on all
  platforms and on all distributions.

  Please keep in mind that fragmentation in many cases increases
  my workload. There is no real reason for a modification,
  and (even worse) the people who create modifications do not help
  to keep my workload low in order to help me (and Heiko and James)
  with the cdrtools project. People should rather contribute to
  the project. Cdrtools should be free and actively mantained
  in future. With increasing workload, I don't know how to do this.

- Libscg:
- Version -> 0.6
- Adding support for the CDROM_SEND_PACKET ioctl() from cdrom.c

- Cdrecord:
- Default usage code is now only 6 lines so the error message
  does no longer scroll out the screen. If yu like to get the old
  long usage information, call cdrecord -help
- move 'dd' like number conversion stuff into getnum.c
- Allow the /etc/default/cdrecord parsing code to be used by
  readcd too (as documented in the man page)
- First support for Plextor's VariRec feature in the PX-W4012
  I am not sure about the final user interface.
  For now, call e.g. cdrecord speed=4 driveropts=varirec=-1
  for all audio CDs. Allowed varirec parameters are -2, -1, 0, 1, 2
  VariRec only works at write speed 4.
- Print the actual current write speed in verbose mode.

- Readcd:
- Now use /etc/default/cdrecord as documented in the man page.

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Fixed a minor bug with HFS labels & multi-session
  Thanks to James Pearson

* Sun Mar  3 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a16-1]
- Cdrecord:
- Allow ' to appear inside CD-Text strings
- better messages for CD manufacturer codes that are not in the
  latest free Orange forum table.

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- new option -L changed. Now a numerical parameter (0 or 1)
  defines the handling of multiple cddbp entries.
  0 enters user interactive mode.
  1 take the first entry unconditionally.
  I still need a reasonable way for gui interaction in this case!
  Proposals are welcome.
- made cddbp handling for mixed mode cds more robust.
  It is unclear yet, if data tracks have to be included in the
  query. Anybody knows the definitive answer?

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Support generic boot code if session does not start at sector 0.

* Sun Feb 24 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a15-1]
- All:
- Support for NT-5.1 (WIN XP) added os-cygwin_nt-5.1.id

- Cdrecord:
- CD-Text Code now also accepts Text File without 4 byte Size header
- CD-Text file read code now is able to do CRC error correction
  Note that only songle bit errors per 18 byte pack.
- First CD-text Authoring support:

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- Fixed a bug that caused cdda2wav to dump core with certain
  CD-Text data.

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Fixed a check in the Apple HFS code that used strcmp for
  data that could contain null bytes.
- Introduced many casts to enhance portability.
  This was needed for GNU fnmatch.c and the HFS support lib libhfs_iso
- Use Protoyped function definitions for hash.c to allow old UNIX variants
  where sizeof(dev_t) is < sizeof(int)

* Mon Feb 11 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a14-1]
- All:
- New rule allows automatic fallback to GCC if the configured
  default compiler could not be found.
- statdefs.h enhanced
- Many corrections to give less warnings on SCO Openserver

- Libscg:
- Massive modicifation of the support code for SCO OpenServer 5.x

- Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
- New option -L to ask freedb.freedb.org for CDDB information.
  This alllows to automatically create CD-Text CDs.
- correct TOC endianess for FreeBSD ioctl interface.

- Readcd:
- Enhanced output for C2 error scan.

- Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
- Fixed a check in the Apple HFS code that used strcmp for
  data that could contain null bytes.
- Introduced many casts to enhance portability.
  This was needed for GNU fnmatch.c and the HFS support lib libhfs_iso
- Use Protoyped function definitions for hash.c to allow old UNIX variants
  where sizeof(dev_t) is < sizeof(int)

* Fri Jan 18 2002 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a13-1]
- All:
- New supported architctures:
  s390-linux-cc.rul parisc-linux-cc.rul parisc64-linux-cc.rul
- Large File support for IRIX-6.2 (added autoconf test for -n32 cc option)
- Large File support for IRIX-6.5 now everything works correctly if the
  OS supports Large Files by default in 32 bit mode (uses fseeko()/ftello()
  if present. This could only be done by massively changing the autoconf code
  stolen from GNUtar.
- Support for SGI IRIX platform ip17-irix
- Support for SGI IRIX-6.5
- Try to support recent BeOS (again)
  Workaround in libschily/comerr.c for the nonstandard
  big negative errno values on BeOS
- libschily now includes floating point printf() for BeOS
- fileluopen.c from libschily now compiles on BeOS (without O_NDELAY)
- workaround for the nonstandard negative errno values on BeOS
- Schily makefile RULES for AmigaOS added
- getpagesize() emulation for BeOS to make cdda2wav compile on BeOS

- Libscg:
- Try to make scsi-beos.c compile on new BeOS version 5
- First attempt to integrate the AmigaOS SCSI transport interface code
  from Thomas Langer <Langer.Thomas@gmx.net>

- Rscsi:
- Make it compile on BeOS

- Cdrecord:
- correctly use the buffer capacity code from the driver instead
  of the MMC-2 read buffer cap code directly
- Support for the unusual not ready error code of the CyberDrive CW038D

- Cdda2wav:
- fixed ioctl handling of toc entries
- checked ISRC retrieval (MMC + Plextor)
- more checking for weird CDs with wrong track types
- bugfix in setuid.c
- read full toc method extended to a data track in the second
  session for cd-extra/enhanced cd recognition
- if the tracks in the TOC are labelled as data, this is checked
  and corrected if untrue
- show cd text disc identification, if one exist
- a new perl script to generate a binary cdtext file for use with
  cdrecord. This is currently very simple, but it enables you to
  create cd-text enriched copies from non cd-text originals.
  For a hint how to use the new perl script see the CD-text usage
  notes above.

- Readcd:
- use comerrno() instead of comerr() if the drive is not ready
  as errno is not valid after that test.

- Scgcheck:
- Corrected some typos

- Mkisofs:
- Fixed a bug in the man page (typo .R instead of .B made text invisible)
- Write messages with more correct size names for the floppy eltorito
  boot images
- rearranged the man page by removing the unreadable short listing
  of options on the synopsys line.
- Added UDF to the man page
- Added a missing prototype in getopt.c
- isodump.c isoinfo.c isovfy.c:
  Correctly handle symlinks use offsetof(struct iso_directory_record, name[0])
  instead of sizeof(struct iso_directory_record) - sizeof(idr->name)

* Mon Nov 26 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a12-1]
- All:
- fixed fexec.c to make it compile ion QNX
- Now the complete libschily is included although it it not needed
  for cdrtools.

- Cdda2wav:
- Changed handling of Table of contents. Now the more informative
  methods of Read full toc are being used in favor to the old SCSI readtoc
  command. For Sony methods, the fallback is the old method.
  The new methods are available on MMC drives and modern drives with
  Sony command sets. It should enhance access to very weird multi session
  cds.

- Mkisofs:
- Fixed a problem from an uninitialized variable in desktop.c
  that caused random effects in Apple CD's
- better documentation for README.sort/README.hide from James Pearson
- Fixed a bug in sort code that caused the compare function to behave
  symmetric when called c(a,b) vs. c(b,a)
- First UDF support via -udf option - thanks to Ben Rudiak-Gould.
  Note that the UDF support is not what you might indend. It is currently
  wired to the Joliet tree which is a bad idea. It also does not yet
  support Symbolic Links, user ID's and similar.

* Mon Nov 19 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a11-1]
- All:
- fixed a bug in the new floatingpoint code that caused the emulation
  code to be activated on Linux too.
- added more parts from libschily to allow the cdrtools package to
  be used as a plugin base for the new 'Slottable Source Plugin Module'
  system (SSPM).

- Cdrecord:
- Better messages when trying to write more than the amount of data
  that fits on a DVD.
- The DVD driver now reports a DVD media back to the high level code.

* Mon Nov 12 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a10-1]
- All:
- timedefs.h modified. Now the last schily portability support include
  file hast been reworked to make portability even much easier.
- schily.h & standard.h havebeen modified to hopefully finally solve
  all type clash problems with size_t & spawn*()
- Compile support for QNX Neutrino
- Now we hopefully have floating point support for _all_ platforms
  even those without *cvt() and without __dtoa(). Thanks to a hint
  from Thomas Langer <Langer.Thomas@gmx.net> we now use strtod.c
  to gert a fallback __dtoa()
- Added an autoconf test for rcmd() so cdrtools now should compile
  again on BeOS and AmigaOS where no rcmd() is present.

- Cdrecord:
- Fixed a bug introduced with cdrtools-1.11a07 for better DVD+CD
  recognition support that prevented cdrecord to work with non MMC
  writers.

- Mkisofs:
- libhfs_iso reworked to use timedefs.h from schily portability support.
- man page enhanced
- Better error messages for ISO and Rock Ridge directory sort problems
- Preserves HFS file dates for AppleDouble, AppleSingle and NetaTalk files

* Tue Oct 30 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a09-1]
- All:
- Better support for Darwin-1.3 and 1.4
- Schily support includefiles rearranged to make portability even
  easier.
- mconfig.h now defines IS_SCHILY to signal users of the
  Schily makefilesystem, that the Schily portability environment
  is being used.
- now includes the forgotten mkdep-sco.sh that helps to better
  work around the SCO C-compiler.

- Libscg:
- First attempt for support for the new IOKit SCSI interface on MaxOS X
  Darwin-1.4 and newer with much much help from
  Constantine Sapuntzakis  <csapuntz@Stanford.EDU>
  Unfortunately there is not yet support for SCSI devices nor
  is there support for standard Bus,Target,Lun device namings.
  I hope that bot may be added in the future.
  Volunteers who like to help with the libscg interface stuff
  for Darwin-1.4 are welcome.

- Rscsi:
- Code now checks for HAVE_NETDB_H (added by request of
  "Thomas" <Langer.Thomas@gmx.de> to help with AmigaOS port)
  This should indicate whether there is support for rcmd()
  in the OS.

- Cdrecord:
- Behaviour of the function that reads fs= tsize= and similar
  corrected.
- Modified driver interface for better DVD support
- FIFO Code now checks for HAVE_FORK (added by request of
  "Thomas" <Langer.Thomas@gmx.de> to help with AmigaOS port)

- Cdda2wav:
- Restructured to better use the schily makefile portability structures.
- Many other changes from Heiko - ask Heiko heiko@hexco.de for
  the list.

- Mkisofs:
- Try to avoid the C-compiler warnings for getopt.c that are caused
  by the non-confirming way of hacking used by FSF people
- isoinfo now corectly displays file with filesize > 1 GB
- isoinfo now implements a new option -s that displays the size
  of the files in multiples of the sector size (2048 Bytes)

* Tue Oct  8 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a08-1]
- Libscg:
- Better scg_open() error messages when trying to do scanbus on Linux
  and no /dev/sg* or /dev/pg* could be opened.
- Output Request Sense buffer with -debug when the USCSI interface is
  used on Solaris.

- Cdrecord:
- Reading CD-Text on DOS/Win32 now works correclty. The O_BINARY
  flag is used for open().
- modify -version output if Clone writing support is present
- A new driver has been added that first checks the media if the drive
  supports to write CD & DVD.

- Cdda2wav:
- Changes to make cdda2wav compile better on Alpha/True64

* Tue Sep 11 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a07-1]
- All:
- Better and extended description in README.macosX
- Support for SCO (Caldera) OpenUNIX (aka. UnixWare 8)

- Libscg:
- Trying to add a workaround for just another bug in the
  sg driver in the Linux kernel. If a TIMEOUT occurs,
  the error code does not indicate a TIMEOUT.

- Rscsi:
- Now using signal safe read/write functions.

- Cdrecord:
- rscsi client code now uses buffered read to speed up on Cygwin
- rscsi client code now uses signal safe read/write functions
- Cdrecod now does not open/close the tray anymore if the disk
  is going to be erased.

- Mkisofs:
- Man page updated and corrected.

* Mon Jul 16 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a06-1]
- All:
- forgot to add the new printf.c with 1.11a05 now cdrtools really
  compiles with GCC-3.0 on Linux

- Cdrecord:
- better FIFO debug messages
- New driver config table for Taiyo Yuden EW-50.
  This dive is like a Philips CDD-521 but has been reported to
  swab audio data.

- Readcd:
- Better handling of C2 scans on unreadable data disks.

- Scgcheck:
- Fixed Makefile so scgcheck now compiles on FreeBSD

* Fri Jun 28 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a05-1]
- NOTE: There are 3000 new lines of code and aprox. 1500 lines
        of code did change within the last few weeks.
	Although I thoroughly tested every line of my code,
        there may be bugs...

	Please report if you have any problem that is not present
        with cdrtools-1.11a01.

- All:
- Circumvent some problems with GCC-3.0 on Linux
- Removed printf() definitions from schily.h to avoid type clashes

- Cdrecord:
- Circumvent a bug in the system include files from Linux that
  makes printf() a macro and prevented compilation with GCC-3.0

- Added some #include <stdio.h> to substitute missing printf() definitions
- SAO/R16 mode removed from tests, it may never occur.
- Changed some .min defines in structs to .pmin to avoid K&R complier
  problems

- Readcd:
- Better handling of C2 scans on unreadable data disks.

- Scgcheck:
- Fixed Makefile so scgcheck now compiles on FreeBSD

* Tue Jun 19 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a04-1]
- NOTE: There are 3000 new lines of code and aprox. 1500 lines
        of code did change within the last few weeks.
	Although I thoroughly tested every line of my code,
        there may be bugs...

	Please report if you have any problem that is not present
        with cdrtools-1.11a01.

- Cdrecord:
- add a forgotten if (xdebug) in drv_mmc.c.
  This caused a superfluous write mode debug message to be printed
- do installation of exit handlers (to reset SCSI state) earlier
- Cdrecord now does not exit with 0 anymore when interrupted with ^C
  during the waittime before starting to write.
- First CD-Text support (can only copy CD-Text information from master
  disk) (See AN-1.11a04 for more details)

- Readcd:
- Handle signals and other aborts by restoring old drive state
- Set PF bit with mode select.
- New option -quiet to suppress primary SCSI error messages
  in read CD error handling
  This are the messages that are printed before entering the
  retry mode.
- Secondary SCSI error messages are now suppressed by default,
  they may be turned on again with -verbose
  This are the messages that are printed in -noerror
  retry mode.

  [cdrtools-1.11a03-1]
- Cdrecord:
- Fixed a bug in the option checking that prevented to write
  data CD's at all.
  Now only "RAW data" CD's are flagged as expected.
- Fixed a bug in the Firmware bug recognition system.
  This bug did prevent cdrecord to work with Philips drives
  when writing in RAW mode.
- Added the -raw* options to the man page
- New options -copy & -nocopy to allow to modify the 'copy' bit
  in audio subchannel data.
- -scms option added to the man page and online help.
- New model to compute SCSI transfersizes
- -xa1 -xa2 sector typedefinitions changed.
- Debug messages while checking possible write modes of MMC
  compliant made optional.
- RAW writing scatter sector function made more general
- New functions to convert between 2448 and 2368 byte sectors

- Readcd:
- error handling increased

* Tue Jun  5 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a02-1]
- There are 2000 new lines of code and aprox. 1000 lines
  of code did change within the last two weeks.
  Although I thoroughly tested every line of my code,
  there may be bugs...
  Please report if you have any problem that is not present
  with cdrtools-1.11a01.

- Cdrecord:
- I hope that the 90 minute CD capacity warning now will finally
  disappear for DVD writers.
- Old test code removed that prevented cdrecord from being able
  to write manually configured indices. Note that the index lists
  from the *.inf files with using the -useinfo option alway worked.
- -force will force cdrecord to ingnore any failed forced OPC.
  currently this is only done if the drive does not support
  forced OPC.
- Do forced OPC before blanking a CD-RW
- Driveropts "burnproof" renamed to "burnfree".
  This has been done as this technology now appears in the MMC standard.
- Cdrecord now shows whether BURN-Free is active. This makes
  sense as Ricoh's "Just-Link" is enabled by default.
  Unfortunately, the way "Just-link" is implemented is not compliant
  with the MMC standard. We will have to wait until I get the needed
  information from Ricoh.
- Support for MMC RAW mode writing.
  This allows to do disk at once recording on Philips drives that
  do not support SAO.
- Cdrecord now checks the properties of the writer. If a specific write
  mode is not supported by the writer, cdrecord warns you and makes
  a suggestion for a similar alternate write mode.
  With the curent structure of cdrecord, it is not possible to silently
  e.g. change the write mode from -dao to -raw96r
- MMC compliant drives are automatically scanned for supported write modes.
  This should help to make cdrecord work without manual static configuration.
  My hope is still to have no need to know all drive properties in
  advance, so new drives will continue to work as long as they
  are standard comliant enough for cdrecord.

* Sat May 19 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrtools-1.11a01-1]
- All:
- Now using the "Slottable Source" feature of the makefile system.
  This is the fist modular reusable portable makefile standard
  in the open source world.
- README.multi fixed
- README.sony fixed
- config.sub now recognises "parisc-unknown-linux-gnu"

- Rscsi:
- RSCSI now works if the target is a Win32 system.
  This is not done by changing rscsi.c but by fixing a bug
  in Cygwin!
- Now prints user ID & user Name into DEBUG file

- Cdrecord:
- New option -overburn
  This option has been added as many people seem to be unabe to understand
  that they are going to write more than the official disk capacity from
  reading cdrecord's output. Oveburnung now is no more done by default!
- Do not print a warning for writing more than 90 minutes if the media is
  a DVD
- Fix for a problem with setting high priority on Win32 systems.
  Thanks to  egor duda <deo@logos-m.ru>
- Sony MMC drives now work in -multi session mode.
  There was a bug in cdrecord that was accepted by all other drives.
  The bug did cause a temporary bad setup to the drive.

- Readcd:
- better error recovery with -noerror


